Bug 1117875 - ALL Block Storage domain directories are not removed from /rhev/data-center/mnt/blockSD/<SD> after Block storage domain Removal
Summary: ALL Block Storage domain directories are not removed from /rhev/data-center/m...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: m1
: 3.6.0
Assignee: Adam Litke
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 15:00 UTC by Ori Gofen
Modified: 2016-03-10 06:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-31 13:32:08 UTC
oVirt Team: Storage


Attachments (Terms of Use)
vdsm+engine logs (1.09 MB, application/gzip)
2014-07-09 15:00 UTC, Ori Gofen
no flags Details

Description Ori Gofen 2014-07-09 15:00:26 UTC
Created attachment 916828 [details]
vdsm+engine logs

Description of problem:
After a successful block domain removal,unneeded directories remain on host and
vdsm doesn't clear them.

[root@camel-vdsc ~]# tree /rhev/data-center/
/rhev/data-center/
├── b9742037-5aff-433d-993e-56d3fe19bcda
│   ├── e07ebaa7-c79e-4a3e-93e5-c5aa45c358ec -> /rhev/data-center/mnt/10.35.160.108:_RHEV_ogofen_7/e07ebaa7-c79e-4a3e-93e5-c5aa45c358ec
│   └── mastersd -> /rhev/data-center/mnt/10.35.160.108:_RHEV_ogofen_7/e07ebaa7-c79e-4a3e-93e5-c5aa45c358ec
└── mnt
    ├── 10.35.160.108:_RHEV_ogofen_7
    │   ├── __DIRECT_IO_TEST__
    │   └── e07ebaa7-c79e-4a3e-93e5-c5aa45c358ec
    │       ├── dom_md
    │       │   ├── ids
    │       │   ├── inbox
    │       │   ├── leases
    │       │   ├── metadata
    │       │   └── outbox
    │       ├── images
    │       │   ├── 24850678-a3b0-40ed-9e41-3f925a42c33f
    │       │   │   ├── 2a4d9c3c-917e-46a8-821d-e4c6ba3b01d1
    │       │   │   ├── 2a4d9c3c-917e-46a8-821d-e4c6ba3b01d1.lease
    │       │   │   └── 2a4d9c3c-917e-46a8-821d-e4c6ba3b01d1.meta
    │       │   ├── 882d0b0c-d413-4505-93b7-bcde4efa9641
    │       │   │   ├── f82d2d86-4623-4c68-8b42-04ce917ee9c8
    │       │   │   ├── f82d2d86-4623-4c68-8b42-04ce917ee9c8.lease
    │       │   │   └── f82d2d86-4623-4c68-8b42-04ce917ee9c8.meta
    │       │   └── f869611e-ad2d-4f91-801e-da6b27c300db
    │       │       ├── 2e06c6e1-c3ee-4ef7-88fa-afa9c61aaa16
    │       │       ├── 2e06c6e1-c3ee-4ef7-88fa-afa9c61aaa16.lease
    │       │       └── 2e06c6e1-c3ee-4ef7-88fa-afa9c61aaa16.meta
    │       └── master
    │           ├── tasks
    │           └── vms
    └── blockSD
        ├── 32d592af-6d6e-44e5-97b3-35d68b2b4bd0
        │   ├── dom_md
        │   │   ├── ids -> /dev/32d592af-6d6e-44e5-97b3-35d68b2b4bd0/ids
        │   │   ├── inbox -> /dev/32d592af-6d6e-44e5-97b3-35d68b2b4bd0/inbox
        │   │   ├── leases -> /dev/32d592af-6d6e-44e5-97b3-35d68b2b4bd0/leases
        │   │   ├── master -> /dev/32d592af-6d6e-44e5-97b3-35d68b2b4bd0/master
        │   │   ├── metadata -> /dev/32d592af-6d6e-44e5-97b3-35d68b2b4bd0/metadata
        │   │   └── outbox -> /dev/32d592af-6d6e-44e5-97b3-35d68b2b4bd0/outbox
        │   └── images
        └── 8a604cd8-31be-4367-8659-e7d3593d7d2a
            ├── dom_md
            │   ├── ids -> /dev/8a604cd8-31be-4367-8659-e7d3593d7d2a/ids
            │   ├── inbox -> /dev/8a604cd8-31be-4367-8659-e7d3593d7d2a/inbox
            │   ├── leases -> /dev/8a604cd8-31be-4367-8659-e7d3593d7d2a/leases
            │   ├── master -> /dev/8a604cd8-31be-4367-8659-e7d3593d7d2a/master
            │   ├── metadata -> /dev/8a604cd8-31be-4367-8659-e7d3593d7d2a/metadata
            │   └── outbox -> /dev/8a604cd8-31be-4367-8659-e7d3593d7d2a/outbox
            └── images

21 directories, 27 files

Also, the operation flow consists of two correlation-id's which is confusing.

1. [479271d2] Running command: RemoveStorageDomainCommand
2. [525e6bf8] Running command: SyncLunsInfoForBlockStorageDomainCommand
   [525e6bf8] START, FormatStorageDomainVDSCommand

Version-Release number of selected component (if applicable):
alpha2

How reproducible:
100%

Steps to Reproduce:
1.add a block SD
2.remove it

Actual results:
The directories at "/rhev/data-center/mnt/blockSD/<SD>" are created and never removed

Expected results:
vdsm should remove the directories after SD's successful deletion 

Additional info:

Comment 1 Allon Mureinik 2014-09-22 08:38:06 UTC
bug 1121929 has nothing to do with this bug, removed.

Comment 2 Allon Mureinik 2015-05-31 13:30:58 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.